extends Node2D

var rails = PoolVector2Array()

func _ready():
	var _curve = $Path2D.curve
	for i in _curve.get_point_count():
		rails.append(_curve.get_point_position(i))
	update()

func _draw():
	for i in rails.size() - 1:
		draw_line(rails[i], rails[i + 1], Color("393939"), 8,  true)
